Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Interface IDataDocument

All Known Implementing Classes:
  DataDocument

public interface IDataDocument

IDataDocument
Cette interface décrit les méthodes d'accès aux documents
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Method Summary
`void` | `createDocument(org.esupportail.portal.utils.database.Query query, Document doc)` Création d'un document
`boolean` | `documentExist(org.esupportail.portal.utils.database.Query query, Document doc)` Vérification existence d'un document
`boolean` | `documentIsLocked(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Vérification verrouillage d'un document
`Document` | `getDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Récupération d'un document
`java.util.Collection` | `getDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération des documents d'un dossier
`int` | `getNextDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet)` Identifiant du prochain document
`void` | `invalidDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Invalidation d'un document
`void` | `lockDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Verrouille le document
`void` | `removeDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Suppression d'un document
`void` | `unlockDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Déverrouille le document
`void` | `updateDocument(org.esupportail.portal.utils.database.Query query, Document doc)` Mise à jour d'un document
`void` | `validDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String intranet)` Validation d'un document

Method Detail

### getDocument

    public Document getDocument(org.esupportail.portal.utils.database.Query query,
                                java.lang.String intranet,
                                java.lang.String id)
                         throws DataException

  Récupération d'un document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet auquel appartient le document
    `id` - L'identifiant du dossier auquel appartient le document
  Returns:
    Le document
  Throws:
    `DataException`

### getDocuments

    public java.util.Collection getDocuments(org.esupportail.portal.utils.database.Query query,
                                             java.lang.String id)
                                      throws DataException

  Récupération des documents d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identiant du dossier
  Returns:
    La liste des documents
  Throws:
    `DataException`

### createDocument

    public void createDocument(org.esupportail.portal.utils.database.Query query,
                               Document doc)
                        throws DataException

  Création d'un document

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à créer
  Throws:
    `DataException`

### removeDocument

    public void removeDocument(org.esupportail.portal.utils.database.Query query,
                               java.lang.String id,
                               java.lang.String intranet)
                        throws DataException

  Suppression d'un document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant à supprimer
    `intranet` - L'identifiant de l'intranet
  Throws:
    `DataException`

### updateDocument

    public void updateDocument(org.esupportail.portal.utils.database.Query query,
                               Document doc)
                        throws DataException

  Mise à jour d'un document

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à mettre à jour
  Throws:
    `DataException`

### validDocument

    public void validDocument(org.esupportail.portal.utils.database.Query query,
                              java.lang.String id,
                              java.lang.String intranet)
                       throws DataException

  Validation d'un document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du document
    `intranet` - L'identifiant de l'intranet
  Throws:
    `DataException`

### invalidDocument

    public void invalidDocument(org.esupportail.portal.utils.database.Query query,
                                java.lang.String id,
                                java.lang.String intranet)
                         throws DataException

  Invalidation d'un document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du document à invalider
    `intranet` - L'identifiant de l'intranet
  Throws:
    `DataException`

### getNextDocument

    public int getNextDocument(org.esupportail.portal.utils.database.Query query,
                               java.lang.String intranet)
                        throws DataException

  Identifiant du prochain document

  Parameters:
    `query` - La connexion à utiliser
  Returns:
    int L'identifiant
  Throws:
    `DataException`

### documentExist

    public boolean documentExist(org.esupportail.portal.utils.database.Query query,
                                 Document doc)
                          throws DataException

  Vérification existence d'un document

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à vérifier
  Returns:
    boolean True si le document existe, false sinon
  Throws:
    `DataException`

### documentIsLocked

    public boolean documentIsLocked(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id,
                                    java.lang.String intranet)
                             throws DataException

  Vérification verrouillage d'un document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du document à vérifier
    `intranet` - L'identifiant de l'intranet
  Returns:
    boolean True si le document est verrouillé, faux sinon
  Throws:
    `DataException`

### lockDocument

    public void lockDocument(org.esupportail.portal.utils.database.Query query,
                             java.lang.String id,
                             java.lang.String intranet)
                      throws DataException

  Verrouille le document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du document à verrouiller
    `intranet` - L'identifiant de l'intranet
  Throws:
    `DataException`

### unlockDocument

    public void unlockDocument(org.esupportail.portal.utils.database.Query query,
                               java.lang.String id,
                               java.lang.String intranet)
                        throws DataException

  Déverrouille le document

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du document à déverrouiller
    `intranet` - L'identifiant de l'intranet
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD